##copy##

package Cowgen::Objsize;
require Exporter;
@ISA    = qw(Exporter);
@EXPORT = qw( objSize setObjSize);

sub objSize
  {
  # return obj dimensions (w,l,h) based on archetype id
  my $id = shift || 0;
  my $p = $prop->{$id} || [0,0,0];
  return ($p->[0],$p->[1],$p->[2]);
  }

sub setObjSize
  {
  # set width/length/height based on base
  my $hash = shift || return;
  my $base = $hash->{base} || return;
  my ($w,$l,$h) = objSize ($base);
  ( $hash->{width}, $hash->{length}, $hash->{height} ) = objSize($base);
  }
       
##prop##

# EOF

1;
